=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-03-11 20:12:16 +0000
+++ bzrlib/bzrdir.py	2011-03-12 21:22:14 +0000
@@ -25,8 +25,6 @@
 objects returned.
 """
 
-# TODO: Move old formats into a plugin to make this file smaller.
-
 import sys
 
 from bzrlib.lazy_import import lazy_import
@@ -59,10 +57,6 @@
     do_catching_redirections,
     local,
     )
-from bzrlib.weave import (
-    WeaveFile,
-    Weave,
-    )
 """)
 
 from bzrlib.trace import (

=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-03-11 17:09:07 +0000
+++ bzrlib/controldir.py	2011-03-12 21:22:14 +0000
@@ -30,7 +30,6 @@
     cleanup,
     errors,
     fetch,
-    graph,
     revision as _mod_revision,
     transport as _mod_transport,
     urlutils,

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2011-03-09 01:33:12 +0000
+++ bzrlib/repository.py	2011-03-12 21:22:14 +0000
@@ -46,6 +46,7 @@
     versionedfile,
     )
 from bzrlib.bundle import serializer
+from bzrlib.recordcounter import RecordCounter
 from bzrlib.revisiontree import RevisionTree
 from bzrlib.store.versioned import VersionedFileStore
 from bzrlib.testament import Testament
@@ -65,7 +66,6 @@
     ROOT_ID,
     entry_factory,
     )
-from bzrlib.recordcounter import RecordCounter
 from bzrlib.lock import _RelockDebugMixin, LogicalLockResult
 from bzrlib.trace import (
     log_exception_quietly, note, mutter, mutter_callsite, warning)
@@ -3993,14 +3993,6 @@
         return wrong_parents, unused_keys
 
 
-def _old_get_graph(repository, revision_id):
-    """DO NOT USE. That is all. I'm serious."""
-    graph = repository.get_graph()
-    revision_graph = dict(((key, value) for key, value in
-        graph.iter_ancestry([revision_id]) if value is not None))
-    return _strip_NULL_ghosts(revision_graph)
-
-
 def _strip_NULL_ghosts(revision_graph):
     """Also don't use this. more compatibility code for unmigrated clients."""
     # Filter ghosts, and null:
@@ -4520,6 +4512,3 @@
     except StopIteration:
         # No more history
         return
-
-
-

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-03-11 15:36:12 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-03-12 21:22:14 +0000
@@ -117,6 +117,8 @@
             'bzrlib.plugins.weave_fmt.bzrdir',
             'bzrlib.plugins.weave_fmt.repository',
             'bzrlib.plugins.weave_fmt.workingtree',
+            'bzrlib.weave',
+            'bzrlib.weavefile',
             'bzrlib.xml4',
             'bzrlib.xml5',
             'bzrlib.xml6',

